%global srcname werkzeug
%global osrcname Werkzeug

Name:           python-%{srcname}
Version:        0.9.4
%define subrel	1
Release:        %mkrel 7
Summary:        The Swiss Army knife of Python web development

Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        https://pypi.python.org/packages/source/W/%{osrcname}/%{osrcname}-%{version}.tar.gz
Patch0:		python-werkzeug-0.11.10-CVE-2016-10516.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
The Swiss Army knife of Python web development

%package -n python3-werkzeug
Summary:        The Swiss Army knife of Python web development
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-werkzeug
The Swiss Army knife of Python 3 web development

%prep
%setup -q -n %{osrcname}-%{version}
%patch0 -p1
%{__sed} -i 's/\r//' LICENSE
%{__sed} -i '1d' werkzeug/testsuite/multipart/collect.py
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python} setup.py build
find examples/ -name '*.py' -executable | xargs chmod -x
find examples/ -name '*.png' -executable | xargs chmod -x

pushd %{py3dir}
%{__python3} setup.py build
find examples/ -name '*.py' -executable | xargs chmod -x
find examples/ -name '*.png' -executable | xargs chmod -x
popd


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%files
%{python_sitelib}/%{srcname}*
%{python_sitelib}/%{osrcname}*

%files -n python3-werkzeug
%{python3_sitelib}/*



%changelog
* Fri Dec 29 2017 luigiwalser <luigiwalser> 0.9.4-7.1.mga5
+ Revision: 1186890
- add upstream patch to fix CVE-2016-10516

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-7.mga5
+ Revision: 741600
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-6.mga5
+ Revision: 729999
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-5.mga5
+ Revision: 688419
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.4-4.mga5
+ Revision: 629099
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4-3.mga4
+ Revision: 544583
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4-2.mga4
+ Revision: 499719
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.9.4-1.mga4
+ Revision: 497567
- Update to 0.9.4
- add Python 3

* Tue Jul 30 2013 neoclust <neoclust> 0.9.3-1.mga4
+ Revision: 460873
- imported package python-werkzeug

